<?php

namespace app\api\controller\HonoraryAchievement;

use app\BaseController;
use app\common\model\HonoraryAchievement\SchoolCategory as ModelSchoolCategory;
use app\Request;
use think\Validate;
use think\exception\ValidateException;
use think\facade\Filesystem;
use app\common\arw\adjfut\src\Excel;
use app\common\arw\adjfut\src\UploadFile;
use think\facade\Db;
use app\common\exception\Tool;
use think\facade\Env;


class SchoolCategory extends BaseController
{
    /**
     * 获取录取院校分类列表
     */
    public function getSchoolCategoryList(Request $request): array
    {
        $params = $request->param();
        $con = [];

        $query = ModelSchoolCategory::where($con)
            ->field([
                'school_category_id',
                'school_category_title',
                'school_category_name',
                'school_category_img',
                'school_category_icon',
                'school_category_total',
                'school_category_sort'
            ])
            ->order('school_category_sort', 'asc')->select();



        return msg(0,"获取录取院校分类列表成功!", [
            'data' => $query,
            'count' => count($query)
        ]);
    }

}
